View a markdown version of this page

UpdatePaymentCredentialProvider - Amazon Bedrock AgentCore Control Plane

UpdatePaymentCredentialProvider

Updates an existing payment credential provider with new authentication credentials.

Request Syntax

POST /identities/UpdatePaymentCredentialProvider HTTP/1.1 Content-type: application/json { "credentialProviderVendor": "string", "name": "string", "providerConfigurationInput": { ... } }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

credentialProviderVendor

The vendor type for the payment credential provider (e.g., CoinbaseCDP, StripePrivy).

Type: String

Valid Values: CoinbaseCDP | StripePrivy

Required: Yes

name

The name of the payment credential provider to update.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [a-zA-Z0-9\-_]+

Required: Yes

providerConfigurationInput

Configuration specific to the vendor, including API credentials.

Type: PaymentProviderConfigurationInput object

Note: This object is a Union. Only one member of this object can be specified or returned.

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "createdTime": number, "credentialProviderArn": "string", "credentialProviderVendor": "string", "lastUpdatedTime": number, "name": "string", "providerConfigurationOutput": { ... } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

createdTime

The timestamp when the payment credential provider was created.

Type: Timestamp

credentialProviderArn

The Amazon Resource Name (ARN) of the updated payment credential provider.

Type: String

Pattern: arn:(aws|aws-us-gov):acps:[A-Za-z0-9-]{1,64}:[0-9]{12}:token-vault/[a-zA-Z0-9-.]+/paymentcredentialprovider/[a-zA-Z0-9-.]+

credentialProviderVendor

The vendor type for the updated payment credential provider.

Type: String

Valid Values: CoinbaseCDP | StripePrivy

lastUpdatedTime

The timestamp when the payment credential provider was last updated.

Type: Timestamp

name

The name of the updated payment credential provider.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [a-zA-Z0-9\-_]+

providerConfigurationOutput

Output configuration (contains secret ARNs, excludes actual secret values).

Type: PaymentProviderConfigurationOutput object

Note: This object is a Union. Only one member of this object can be specified or returned.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

ConflictException

This exception is thrown when there is a conflict performing an operation

HTTP Status Code: 409

DecryptionFailure

Exception thrown when decryption of a secret fails.

HTTP Status Code: 400

EncryptionFailure

Exception thrown when encryption of a secret fails.

HTTP Status Code: 400

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ResourceNotFoundException

This exception is thrown when a resource referenced by the operation does not exist

HTTP Status Code: 404

ServiceQuotaExceededException

This exception is thrown when a request is made beyond the service quota

HTTP Status Code: 402

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

UnauthorizedException

This exception is thrown when the JWT bearer token is invalid or not found for OAuth bearer token based access

HTTP Status Code: 401

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: